//[leakcanary-android-instrumentation](../../index.md)/[leakcanary](index.md)

# Package leakcanary

## Types

| Name | Summary |
|---|---|
| [AndroidDetectLeaksAssert](-android-detect-leaks-assert/index.md) | [androidJvm]<br>class [AndroidDetectLeaksAssert](-android-detect-leaks-assert/index.md)(heapAnalysisReporter: [HeapAnalysisReporter](-heap-analysis-reporter/index.md)) : [DetectLeaksAssert](-detect-leaks-assert/index.md)<br>Default [DetectLeaksAssert](-detect-leaks-assert/index.md) implementation. Uses public helpers so you should be able to create our own implementation if needed. |
| [DetectLeaksAfterTestSuccess](-detect-leaks-after-test-success/index.md) | [androidJvm]<br>class [DetectLeaksAfterTestSuccess](-detect-leaks-after-test-success/index.md)(tag: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)) : TestRule<br>TestRule that invokes [LeakAssertions.assertNoLeaks](-leak-assertions/assert-no-leaks.md) after the test successfully evaluates. Pay attention to where you set up this rule in the rule chain as you might detect different leaks (e.g. around vs wrapped by the activity rule). It's also possible to use this rule several times in a rule chain. |
| [DetectLeaksAssert](-detect-leaks-assert/index.md) | [androidJvm]<br>fun interface [DetectLeaksAssert](-detect-leaks-assert/index.md)<br>The interface for the implementation that [LeakAssertions.assertNoLeaks](-leak-assertions/assert-no-leaks.md) delegates to. You can call [DetectLeaksAssert.update](-detect-leaks-assert/-companion/update.md) to provide your own implementation. |
| [HeapAnalysisReporter](-heap-analysis-reporter/index.md) | [androidJvm]<br>fun interface [HeapAnalysisReporter](-heap-analysis-reporter/index.md)<br>Reports the results of a heap analysis created by [AndroidDetectLeaksAssert](-android-detect-leaks-assert/index.md). |
| [LeakAssertions](-leak-assertions/index.md) | [androidJvm]<br>object [LeakAssertions](-leak-assertions/index.md) |
| [NoLeakAssertionFailedError](-no-leak-assertion-failed-error/index.md) | [androidJvm]<br>class [NoLeakAssertionFailedError](-no-leak-assertion-failed-error/index.md)(heapAnalysis: HeapAnalysisSuccess) : [AssertionError](https://developer.android.com/reference/kotlin/java/lang/AssertionError.html)<br>Thrown when using the [NoLeakAssertionFailedError.throwOnApplicationLeaks](-no-leak-assertion-failed-error/-companion/throw-on-application-leaks.md) HeapAnalysisReporter |
| [SkipLeakDetection](-skip-leak-detection/index.md) | [androidJvm]<br>@[Target](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.annotation/-target/index.html)(allowedTargets = [[AnnotationTarget.CLASS](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.annotation/-annotation-target/-c-l-a-s-s/index.html), [AnnotationTarget.FUNCTION](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.annotation/-annotation-target/-f-u-n-c-t-i-o-n/index.html)])<br>annotation class [SkipLeakDetection](-skip-leak-detection/index.md)(message: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), assertionTags: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))<br>Annotation for skipping leak detection in a UI test that calls [LeakAssertions.assertNoLeaks](-leak-assertions/assert-no-leaks.md). This annotation is useful to skip a leak detection in a test until the leaks are fixed. |
| [TestDescriptionHolder](-test-description-holder/index.md) | [androidJvm]<br>object [TestDescriptionHolder](-test-description-holder/index.md) : TestRule<br>A TestRule that holds onto the test Description in a thread local while evaluating, making it possible to retrieve that test Description from the test thread via [testDescription](-test-description-holder/test-description.md). |
