//[leakcanary-object-watcher](../../index.md)/[leakcanary](index.md)

# Package leakcanary

## Types

| Name | Summary |
|---|---|
| [Clock](-clock/index.md) | [jvm]<br>fun interface [Clock](-clock/index.md)<br>An interface to abstract the SystemClock.uptimeMillis() Android API in non Android artifacts. |
| [GcTrigger](-gc-trigger/index.md) | [jvm]<br>fun interface [GcTrigger](-gc-trigger/index.md)<br>[GcTrigger](-gc-trigger/index.md) is used to try triggering garbage collection and enqueuing [KeyedWeakReference](-keyed-weak-reference/index.md) into the associated [java.lang.ref.ReferenceQueue](https://docs.oracle.com/javase/8/docs/api/java/lang/ref/ReferenceQueue.html). The default implementation [Default](-gc-trigger/-default/index.md) comes from AOSP. |
| [KeyedWeakReference](-keyed-weak-reference/index.md) | [jvm]<br>class [KeyedWeakReference](-keyed-weak-reference/index.md)(referent: [Any](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html), key: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), description: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), watchUptimeMillis: [Long](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html), referenceQueue: [ReferenceQueue](https://docs.oracle.com/javase/8/docs/api/java/lang/ref/ReferenceQueue.html)&lt;[Any](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)&gt;) : [WeakReference](https://docs.oracle.com/javase/8/docs/api/java/lang/ref/WeakReference.html)&lt;[Any](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)&gt; <br>A weak reference used by [ObjectWatcher](-object-watcher/index.md) to determine which objects become weakly reachable and which don't. [ObjectWatcher](-object-watcher/index.md) uses [key](-keyed-weak-reference/key.md) to keep track of [KeyedWeakReference](-keyed-weak-reference/index.md) instances that haven't made it into the associated [ReferenceQueue](https://docs.oracle.com/javase/8/docs/api/java/lang/ref/ReferenceQueue.html) yet. |
| [ObjectWatcher](-object-watcher/index.md) | [jvm]<br>class [ObjectWatcher](-object-watcher/index.md)(clock: [Clock](-clock/index.md), checkRetainedExecutor: [Executor](https://docs.oracle.com/javase/8/docs/api/java/util/concurrent/Executor.html), isEnabled: () -&gt; [Boolean](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)) : [ReachabilityWatcher](-reachability-watcher/index.md)<br>[ObjectWatcher](-object-watcher/index.md) can be passed objects to watch. It will create [KeyedWeakReference](-keyed-weak-reference/index.md) instances that reference watches objects, and check if those references have been cleared as expected on the checkRetainedExecutor executor. If not, these objects are considered retained and [ObjectWatcher](-object-watcher/index.md) will then notify registered [OnObjectRetainedListener](-on-object-retained-listener/index.md)s on that executor thread. |
| [OnObjectRetainedListener](-on-object-retained-listener/index.md) | [jvm]<br>fun interface [OnObjectRetainedListener](-on-object-retained-listener/index.md)<br>Listener used by [ObjectWatcher](-object-watcher/index.md) to report retained objects. |
| [ReachabilityWatcher](-reachability-watcher/index.md) | [jvm]<br>fun interface [ReachabilityWatcher](-reachability-watcher/index.md) |
