//[shark-graph](../../../../index.md)/[shark](../../index.md)/[HeapObject](../index.md)/[HeapClass](index.md)

# HeapClass

[jvm]\
class [HeapClass](index.md) : [HeapObject](../index.md)

A class in the heap dump.

## Functions

| Name | Summary |
|---|---|
| [get](get.md) | [jvm]<br>operator fun [get](get.md)(fieldName: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)): [HeapField](../../-heap-field/index.md)? |
| [instanceFieldName](instance-field-name.md) | [jvm]<br>fun [instanceFieldName](instance-field-name.md)(fieldRecord: HprofRecord.HeapDumpRecord.ObjectRecord.ClassDumpRecord.FieldRecord): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>Returns the name of the field declared in this class for the specified [fieldRecord](instance-field-name.md). |
| [readFieldsByteSize](read-fields-byte-size.md) | [jvm]<br>fun [readFieldsByteSize](read-fields-byte-size.md)(): [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)<br>The total byte size of fields for instances of this class, computed as the sum of the individual size of each field of this class. This does not include the size of fields from superclasses. |
| [readRecord](read-record.md) | [jvm]<br>open override fun [readRecord](read-record.md)(): HprofRecord.HeapDumpRecord.ObjectRecord.ClassDumpRecord<br>Reads and returns the underlying ClassDumpRecord. |
| [readRecordFields](read-record-fields.md) | [jvm]<br>fun [readRecordFields](read-record-fields.md)(): [List](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)&lt;HprofRecord.HeapDumpRecord.ObjectRecord.ClassDumpRecord.FieldRecord&gt; |
| [readRecordStaticFields](read-record-static-fields.md) | [jvm]<br>fun [readRecordStaticFields](read-record-static-fields.md)(): [List](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)&lt;HprofRecord.HeapDumpRecord.ObjectRecord.ClassDumpRecord.StaticFieldRecord&gt; |
| [readStaticField](read-static-field.md) | [jvm]<br>fun [readStaticField](read-static-field.md)(fieldName: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)): [HeapField](../../-heap-field/index.md)?<br>Returns a [HeapField](../../-heap-field/index.md) object that reflects the specified declared field of the class represented by this [HeapClass](index.md) object, or null if this field does not exist. The [name](name.md) parameter specifies the simple name of the desired field. |
| [readStaticFields](read-static-fields.md) | [jvm]<br>fun [readStaticFields](read-static-fields.md)(): [Sequence](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.sequences/-sequence/index.html)&lt;[HeapField](../../-heap-field/index.md)&gt;<br>The static fields of this class, as a sequence of [HeapField](../../-heap-field/index.md). |
| [subclassOf](subclass-of.md) | [jvm]<br>infix fun [subclassOf](subclass-of.md)(superclass: [HeapObject.HeapClass](index.md)): [Boolean](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)<br>Returns true if [superclass](subclass-of.md) is a superclass of this [HeapClass](index.md). |
| [superclassOf](superclass-of.md) | [jvm]<br>infix fun [superclassOf](superclass-of.md)(subclass: [HeapObject.HeapClass](index.md)): [Boolean](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)<br>Returns true if [subclass](superclass-of.md) is a sub class of this [HeapClass](index.md). |
| [toString](to-string.md) | [jvm]<br>open override fun [toString](to-string.md)(): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |

## Properties

| Name | Summary |
|---|---|
| [asClass](../as-class.md) | [jvm]<br>val [asClass](../as-class.md): [HeapObject.HeapClass](index.md)?<br>This [HeapObject](../index.md) as a [HeapClass](index.md) if it is one, or null otherwise |
| [asInstance](../as-instance.md) | [jvm]<br>val [asInstance](../as-instance.md): [HeapObject.HeapInstance](../-heap-instance/index.md)?<br>This [HeapObject](../index.md) as a [HeapInstance](../-heap-instance/index.md) if it is one, or null otherwise |
| [asObjectArray](../as-object-array.md) | [jvm]<br>val [asObjectArray](../as-object-array.md): [HeapObject.HeapObjectArray](../-heap-object-array/index.md)?<br>This [HeapObject](../index.md) as a [HeapObjectArray](../-heap-object-array/index.md) if it is one, or null otherwise |
| [asPrimitiveArray](../as-primitive-array.md) | [jvm]<br>val [asPrimitiveArray](../as-primitive-array.md): [HeapObject.HeapPrimitiveArray](../-heap-primitive-array/index.md)?<br>This [HeapObject](../index.md) as a [HeapPrimitiveArray](../-heap-primitive-array/index.md) if it is one, or null otherwise |
| [classHierarchy](class-hierarchy.md) | [jvm]<br>val [classHierarchy](class-hierarchy.md): [Sequence](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.sequences/-sequence/index.html)&lt;[HeapObject.HeapClass](index.md)&gt;<br>The class hierarchy starting at this class (included) and ending at the [Object](https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html) class (included). |
| [directInstances](direct-instances.md) | [jvm]<br>val [directInstances](direct-instances.md): [Sequence](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.sequences/-sequence/index.html)&lt;[HeapObject.HeapInstance](../-heap-instance/index.md)&gt;<br>All direct instances of this class, ie excluding any instance of subclasses of this class. |
| [graph](graph.md) | [jvm]<br>open override val [graph](graph.md): [HeapGraph](../../-heap-graph/index.md)<br>The graph of objects in the heap, which you can use to navigate the heap. |
| [hasReferenceInstanceFields](has-reference-instance-fields.md) | [jvm]<br>val [hasReferenceInstanceFields](has-reference-instance-fields.md): [Boolean](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) |
| [instanceByteSize](instance-byte-size.md) | [jvm]<br>val [instanceByteSize](instance-byte-size.md): [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)<br>The total byte size of fields for instances of this class, as registered in the class dump. This includes the size of fields from superclasses. |
| [instances](instances.md) | [jvm]<br>val [instances](instances.md): [Sequence](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.sequences/-sequence/index.html)&lt;[HeapObject.HeapInstance](../-heap-instance/index.md)&gt;<br>All instances of this class, including instances of subclasses of this class. |
| [isArrayClass](is-array-class.md) | [jvm]<br>val [isArrayClass](is-array-class.md): [Boolean](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)<br>Returns true if this class is an array class, and false otherwise. |
| [isObjectArrayClass](is-object-array-class.md) | [jvm]<br>val [isObjectArrayClass](is-object-array-class.md): [Boolean](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) |
| [isPrimitiveArrayClass](is-primitive-array-class.md) | [jvm]<br>val [isPrimitiveArrayClass](is-primitive-array-class.md): [Boolean](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) |
| [isPrimitiveWrapperClass](is-primitive-wrapper-class.md) | [jvm]<br>val [isPrimitiveWrapperClass](is-primitive-wrapper-class.md): [Boolean](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)<br>Whether this is class is a primitive wrapper type |
| [name](name.md) | [jvm]<br>val [name](name.md): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>The name of this class, identical to [Class.getName](https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html#getName--). If this class is an array class, the name has a suffix of brackets for each dimension of the array, e.g. com.Foo[][] is a class for 2 dimensional arrays of com.Foo. |
| [objectArrayInstances](object-array-instances.md) | [jvm]<br>val [objectArrayInstances](object-array-instances.md): [Sequence](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.sequences/-sequence/index.html)&lt;[HeapObject.HeapObjectArray](../-heap-object-array/index.md)&gt; |
| [objectId](object-id.md) | [jvm]<br>open override val [objectId](object-id.md): [Long](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html)<br>The heap identifier of this object. |
| [objectIndex](object-index.md) | [jvm]<br>open override val [objectIndex](object-index.md): [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)<br>An positive object index that's specific to how Shark stores objects in memory. The index starts at 0 and ends at [HeapGraph.objectCount](../../-heap-graph/object-count.md) - 1. There are no gaps, every index value corresponds to an object. Classes are first, then instances, then object arrays then primitive arrays. |
| [primitiveArrayInstances](primitive-array-instances.md) | [jvm]<br>val [primitiveArrayInstances](primitive-array-instances.md): [Sequence](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.sequences/-sequence/index.html)&lt;[HeapObject.HeapPrimitiveArray](../-heap-primitive-array/index.md)&gt;<br>Primitive arrays are one dimensional arrays of a primitive type. N-dimension arrays of primitive types (e.g. int[][]) are object arrays pointing to primitive arrays. |
| [recordSize](record-size.md) | [jvm]<br>open override val [recordSize](record-size.md): [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)<br>The total byte size for the record of this object in the heap dump. |
| [simpleName](simple-name.md) | [jvm]<br>val [simpleName](simple-name.md): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>Returns [name](name.md) stripped of any string content before the last period (included). |
| [subclasses](subclasses.md) | [jvm]<br>val [subclasses](subclasses.md): [Sequence](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.sequences/-sequence/index.html)&lt;[HeapObject.HeapClass](index.md)&gt;<br>All the subclasses (direct and indirect) of this class, in the order they were recorded in the heap dump. |
| [superclass](superclass.md) | [jvm]<br>val [superclass](superclass.md): [HeapObject.HeapClass](index.md)?<br>The [HeapClass](index.md) representing the superclass of this [HeapClass](index.md). If this [HeapClass](index.md) represents either the [Object](https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html) class or a primitive type, then null is returned. If this [HeapClass](index.md) represents an array class then the [HeapClass](index.md) object representing the [Object](https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html) class is returned. |
